export type TransferSolsBody = {
  fromPrivKeyBs58: string;
  toPubkey: string;
  sols: string;
};

export type CalcAmountOutBody = {
  tokenA: string;
  tokenB: string;
  amountIn: string;
  direction: "AtoB" | "BtoA";
};

export type SwapBody = CalcAmountOutBody & {
  ownerPrivKeyBs58: string;
};
